Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1033997 - need command line equivalent to gnome-screensaver-command
Summary: need command line equivalent to gnome-screensaver-command
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-25 02:19 UTC by Jason Haar
Modified: 2014-03-28 00:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-28 00:16:57 UTC


Attachments (Terms of Use)

Description Jason Haar 2013-11-25 02:19:02 UTC
Description of problem:

older releases of Gnome used gnome-screensaver and had gnome-screensaver-command for locking from the command line (or scripts). Now with F20, I cannot see any equivalent command?

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Florian Müllner 2013-11-26 13:55:12 UTC
gnome-screensaver is no longer a required component, but the gnome-screensaver-command it provides can still be used to request screen locking.
Alternatively you can use something like "loginctl -P lock-sessions" to talk directly to systemd.

Comment 2 Jason Haar 2014-03-28 00:16:31 UTC
OK thanks. However, you have to re-enter your password to trigger the screen lock. If you use '--no-ask-password' then you get access denied - not really scriptable

You are correct about gnome-screensaver-command - that works perfectly. 

Thanks!

Comment 3 Jason Haar 2014-03-28 00:16:57 UTC
whoops - closing


Note You need to log in before you can comment on or make changes to this bug.